/**
  *  \file client/tiles/planetmining.h
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETMINING_H
#define PCC_V2_CLIENT_TILES_PLANETMINING_H

#include "client/wtile.h"
#include "game/cargotype.h"
#include "io/io.h"              /* mp16_t */

class GPlanet;

class WPlanetMiningTile : public WTile {
    GPlanet&   planet;
    GCargoType ele;
    mp16_t     mines;
 public:
    WPlanetMiningTile(GPlanet& planet, GCargoType ele);
    void drawData(GfxCanvas& can);
    void setNumMines(mp16_t mines);
};


class WNarrowPlanetMineralTile : public WObjectSelectionObserverTile {
 public:
    WNarrowPlanetMineralTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
